/*
* --------------------------------------------------------------------------------------------------------------------
* <copyright company="Aspose" file="PostCreateSearchContextRequest.java">
*   Copyright (c) 2018 Aspose Pty Ltd.
* </copyright>
* <summary>
*   Permission is hereby granted, free of charge, to any person obtaining a copy
*  of this software and associated documentation files (the "Software"), to deal
*  in the Software without restriction, including without limitation the rights
*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
*  copies of the Software, and to permit persons to whom the Software is
*  furnished to do so, subject to the following conditions:
* 
*  The above copyright notice and this permission notice shall be included in all
*  copies or substantial portions of the Software.
* 
*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
*  SOFTWARE.
* </summary>
* --------------------------------------------------------------------------------------------------------------------
*/

package com.aspose.imaging.cloud.sdk.model.requests;

/**
* Class that holds parameters for postCreateSearchContext request invocation.
**/   
public class PostCreateSearchContextRequest
{
	/**
	* Initializes a new instance of the PostCreateSearchContextRequest class.   
    * @param detector The image features detector.
    * @param matchingAlgorithm The matching algorithm.
    * @param folder The folder.
    * @param storage The storage.
	**/
    public PostCreateSearchContextRequest(String detector, String matchingAlgorithm, String folder, String storage)             
    {
        this.detector = detector;
        this.matchingAlgorithm = matchingAlgorithm;
        this.folder = folder;
        this.storage = storage;
    }
		
    /**
    * The image features detector.
    **/
    public String detector;

    /**
    * The matching algorithm.
    **/
    public String matchingAlgorithm;

    /**
    * The folder.
    **/
    public String folder;

    /**
    * The storage.
    **/
    public String storage;
}
